package com.ylx.massage.enums;

/**
 * @author jianlong
 * @date 2024-03-27 14:04
 * 技师状态枚举
 */
public enum JsStatusEnum {
    /**
     * 可服务
     */
    JS_SERVICEABLE(0, "可服务"),

    /**
     * 服务中
     */
    JS_SERVICE(1, "服务中"),

    /**
     * 不可服务
     */
    JS_NO_SERVICE(2, "不可服务"),

    /*** 技师上岗状态*/
    POST_ON_DUTY(0, "已上岗"),

    /**
     * 未上岗状态
     */
    POST_NOT_ON_DUTY(-1, "未上岗"),

    /**
     * 待审核状态
     */
    JS_NOT_PASS(0, "待审核"),

    /**
     * 已通过
     */
    JS_PASS(1, "已通过"),

    /**
     * 已退回
     */
    JS_RETURN(2, "已退回"),

    /**
     * 已拉黑
     */
    BLOCKED(3, "已拉黑");


    private final Integer code;
    private final String info;
    JsStatusEnum(Integer code, String info) {
        this.code = code;
        this.info = info;
    }

    public Integer getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }

}
